#include <stdint.h>
#include <stddef.h>
#include "limine.h"

// lime
static volatile struct limine_framebuffer_request fb_req = {
    .id = LIMINE_FRAMEBUFFER_REQUEST,
    .revision = 0
};

// boot
void _start(void) {
    if (fb_req.response == NULL || fb_req.response->framebuffer_count < 1) {
        for (;;);
    }

    struct limine_framebuffer *fb = fb_req.response->framebuffers[0];

    // draw (purple)
    uint32_t *pixels = fb->address;
    for (size_t i = 0; i < (fb->width * fb->height); i++) {
        pixels[i] = 0x381E72; 
    }

    // halt
    for (;;);
}